<?php

namespace GopNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;

class StructureAndPercentualPerItemOperationalController {
    protected $crudService;
    
    public function __construct($connection, $environment, $service, $util, $crudService) {
        $this->connection   = $connection;
        $this->environment  = $environment;
        $this->service      = $service;
        $this->util         = $util;
        $this->crudService	= $crudService;
    }
    
    public function updateAlterationUnitItem(Request\Row $request, Response $response) {
      $row = $request->getRow();
      try {
          $this->service->beginTransaction();
  
          $params = [
            "NRSEQITEMORCA"   => $row["NRSEQITEMORCA"],
            "VRPERCITEMGOP"   => $row["VRPERCITEMGOP"],
            "CDFILIAL"        => $row["CDFILIAL"]
          ];
          $this->service->updateItemUnit($params);

          $this->service->commit();
      } catch (\Exception $ex) {
          $this->service->rollback();
          $response->setError(new Error($ex->getMessage(), 500));
      }
    }
}